MIDIFileData

data

## Class MIDIFileData

- java.lang.Object
- - data.MIDIFileData

- Direct Known Subclasses:
    AverageMIDIFileData

      public class MIDIFileData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `ascending`
    `private int` | `descending`
    `private java.lang.String` | `filepath`
    `private int` | `highNote`
    `private int` | `id`
    `private java.util.List<java.lang.Integer>` | `instruments`
    `private java.lang.String` | `key`
    `private double` | `longestNote`
    `private int` | `lowNote`
    `private int` | `other`
    `private java.util.List<java.lang.Integer>` | `percussions`
    `private int[]` | `Pitch`
    `private double` | `shortestNote`
    `private java.lang.String` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MIDIFileData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInstrument(int instrument)`
    `void` | `addPercussion(int percussion)`
    `int` | `getAscending()`
    `int` | `getDescending()`
    `java.lang.String` | `getFilepath()`
    `int` | `getHighNote()`
    `int` | `getId()`
    `java.util.List<java.lang.Integer>` | `getInstruments()`
    `java.lang.String` | `getKey()`
    `double` | `getLongestNote()`
    `int` | `getLowNote()`
    `int` | `getOther()`
    `java.util.List<java.lang.Integer>` | `getPercussion()`
    `int` | `getPitch(int index)`
    `int[]` | `getPitches()`
    `double` | `getShortestNote()`
    `java.lang.String` | `getTitle()`
    `void` | `increasePitch(int index)`
    `private void` | `initPitch()`
    `void` | `setAscending(int ascending)`
    `void` | `setDescending(int descending)`
    `void` | `setFilepath(java.lang.String filepath)`
    `void` | `setHighNote(int highNote)`
    `void` | `setId(int id)`
    `void` | `setKey(java.lang.String key)`
    `void` | `setLongestNote(double longestNote)`
    `void` | `setLowNote(int lowNote)`
    `void` | `setOther(int _other)`
    `void` | `setPitch(int index, int value)`
    `void` | `setShortestNote(double shortestNote)`
    `void` | `setTitle(java.lang.String _title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          private int id

    - #### title

          private java.lang.String title

    - #### filepath

          private java.lang.String filepath

    - #### other

          private int other

    - #### highNote

          private int highNote

    - #### lowNote

          private int lowNote

    - #### longestNote

          private double longestNote

    - #### shortestNote

          private double shortestNote

    - #### ascending

          private int ascending

    - #### descending

          private int descending

    - #### Pitch

          private int[] Pitch

    - #### instruments

          private java.util.List<java.lang.Integer> instruments

    - #### percussions

          private java.util.List<java.lang.Integer> percussions

    - #### key

          private java.lang.String key

  - ### Constructor Detail

    - #### MIDIFileData

          public MIDIFileData()

  - ### Method Detail

    - #### initPitch

          private void initPitch()

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getFilepath

          public java.lang.String getFilepath()

    - #### setFilepath

          public void setFilepath(java.lang.String filepath)

    - #### setTitle

          public void setTitle(java.lang.String _title)

    - #### setOther

          public void setOther(int _other)

    - #### getTitle

          public java.lang.String getTitle()

    - #### getOther

          public int getOther()

    - #### getHighNote

          public int getHighNote()

    - #### setHighNote

          public void setHighNote(int highNote)

    - #### getLowNote

          public int getLowNote()

    - #### setLowNote

          public void setLowNote(int lowNote)

    - #### getLongestNote

          public double getLongestNote()

    - #### setLongestNote

          public void setLongestNote(double longestNote)

    - #### getShortestNote

          public double getShortestNote()

    - #### setShortestNote

          public void setShortestNote(double shortestNote)

    - #### getAscending

          public int getAscending()

    - #### setAscending

          public void setAscending(int ascending)

    - #### getDescending

          public int getDescending()

    - #### setDescending

          public void setDescending(int descending)

    - #### getPitch

          public int getPitch(int index)

    - #### increasePitch

          public void increasePitch(int index)

    - #### setPitch

          public void setPitch(int index,
                      int value)

    - #### getPitches

          public int[] getPitches()

    - #### getInstruments

          public java.util.List<java.lang.Integer> getInstruments()

    - #### addInstrument

          public void addInstrument(int instrument)

    - #### getPercussion

          public java.util.List<java.lang.Integer> getPercussion()

    - #### addPercussion

          public void addPercussion(int percussion)

    - #### getKey

          public java.lang.String getKey()

    - #### setKey

          public void setKey(java.lang.String key)